<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>00100_mcOpenDevice</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____m_c_o_p_e_n_d_e_v_i_c_e.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">00100_mcOpenDevice<div class="ingroups"><a class="el" href="group___n_o_r_m_a_l___c_l_i_e_n_t___a_p_i.html">Normal_Client_API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Test Scenario for tbase Driver API function mcOpenDevice()<br/>
  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga0ae7c8b2745fd9170a3e6bc56f5c2c1a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_o_p_e_n_d_e_v_i_c_e.html#ga0ae7c8b2745fd9170a3e6bc56f5c2c1a">TestCase_GC00100_IdDefault</a> ()</td></tr>
<tr class="separator:ga0ae7c8b2745fd9170a3e6bc56f5c2c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadef27eb49b89a6188677214529b2776b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_o_p_e_n_d_e_v_i_c_e.html#gadef27eb49b89a6188677214529b2776b">TestCase_BC00101_InvalidDevice1</a> ()</td></tr>
<tr class="separator:gadef27eb49b89a6188677214529b2776b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a7aa48714c6012e3ea4dcfa8c94eb3b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_o_p_e_n_d_e_v_i_c_e.html#ga3a7aa48714c6012e3ea4dcfa8c94eb3b">TestCase_BC00102_InvalidDevice2</a> ()</td></tr>
<tr class="separator:ga3a7aa48714c6012e3ea4dcfa8c94eb3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabdc6007817fbcc4be6d7a3ad81730d60"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____m_c_o_p_e_n_d_e_v_i_c_e.html#gabdc6007817fbcc4be6d7a3ad81730d60">TestCase_BC00103_InvalidDeviceMinus1</a> ()</td></tr>
<tr class="separator:gabdc6007817fbcc4be6d7a3ad81730d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Test Scenario for tbase Driver API function mcOpenDevice()<br/>
 </p>
<p><b>Involved Components and their required Functionality</b></p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
</ol>
</li>
<li>McDriverModule<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
</ol>
<p><b>Generic preconditions (setup)</b> <br/>
 Generic Preconditions are the same for every test case. They are executed always in front of every single test case.</p>
<ul>
<li>none</li>
</ul>
<p><b>Generic post processing (teardown)</b> <br/>
 Generic post processing is the same for every test case. It is executed always after every single test case.</p>
<ul>
<li>close Device by calling mcCloseDevice() </li>
</ul>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga0ae7c8b2745fd9170a3e6bc56f5c2c1a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_IdDefault </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>mcOpenDevice(MC_DEVICE_ID()) </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>TLC opens a new default device (MC_DEVICE_ID_DEFAULT) MC_DRV_OK is returned</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Normal_Client_API.00100_mcOpenDevice.GC00100_IdDefault </dd></dl>

</div>
</div>
<a class="anchor" id="gadef27eb49b89a6188677214529b2776b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00101_InvalidDevice1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>mcOpenDevice(1) </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>TLC opens an invalid device (1) MC_DRV_ERR_UNKNOWN_DEVICE is returned</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Normal_Client_API.00100_mcOpenDevice.BC00101_InvalidDevice1 </dd></dl>

</div>
</div>
<a class="anchor" id="ga3a7aa48714c6012e3ea4dcfa8c94eb3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00102_InvalidDevice2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>mcOpenDevice(2) </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>TLC opens an invalid device (2) MC_DRV_ERR_UNKNOWN_DEVICE is returned</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Normal_Client_API.00100_mcOpenDevice.BC00102_InvalidDevice2 </dd></dl>

</div>
</div>
<a class="anchor" id="gabdc6007817fbcc4be6d7a3ad81730d60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00103_InvalidDeviceMinus1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>mcOpenDevice(-1) </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>TLC opens an invalid device (-1) MC_DRV_ERR_UNKNOWN_DEVICE is returned</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Normal_Client_API.00100_mcOpenDevice.BC00103_InvalidDeviceMinus1 </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
